org.openmuc.openiec61850

## Class ObjectReference

- java.lang.Object
- - org.openmuc.openiec61850.ObjectReference

All Implemented Interfaces:
  java.lang.Iterable<java.lang.String>

    public final class ObjectReference
    extends java.lang.Object
    implements java.lang.Iterable<java.lang.String>

ObjectReference syntax: LDName/LNName.DOName[.Name[. ...]]

### Constructor Summary

Constructors
Constructor and Description
`ObjectReference(java.lang.String objectReference)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `get(int i)`
`java.lang.String` `getLdName()`
`java.lang.String` `getName()`
`boolean` `isDataRef()`
`boolean` `isLogicalDeviceRef()`
`boolean` `isLogicalNodeRef()`
`java.util.Iterator<java.lang.String>` `iterator()`
`int` `size()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### ObjectReference

    public ObjectReference(java.lang.String objectReference)

### Method Detail

#### getName

    public java.lang.String getName()

Returns:
  Returns name part of the reference.

#### getLdName

    public java.lang.String getLdName()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isLogicalDeviceRef

    public boolean isLogicalDeviceRef()

#### isLogicalNodeRef

    public boolean isLogicalNodeRef()

#### isDataRef

    public boolean isDataRef()

#### iterator

    public java.util.Iterator<java.lang.String> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<java.lang.String>`

#### get

    public java.lang.String get(int i)

#### size

    public int size()